let gridManager=null;
$(document).ready(function () {
    initializate()
    loadGrid();
    console.log($("#businessUsage").val())
})
function initializate() {

    $('input[name="maintenanceType"]').change(function() {
        if ($(this).is(':checked')) {
            console.log($(this).val()); // 输出选中的值
            switch ($(this).val()) {
                case 'new':
                    if($("#mtart").val()=="ZMPN"){
                        UICtrl.enable($("#matnr"));
                    }else {
                        UICtrl.disable($("#matnr"));
                    }
                    UICtrl.disable($("#lvorm"));
                    UICtrl.enable($("#mtart"));
                    UICtrl.enable($("#matkl"));
                    UICtrl.enable($("#spart"));
                    break;
                case 'modify':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
                case 'extend':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
            }
        }
    });

    $('input[name="businessUsage"]').change(function() {
        if ($(this).is(":checked")) {
            console.log($(this).val()); // 输出选中的值
        }
    });

}


function loadGrid() {
    let coRowNum = $("#businessUsage").val().replace(/,/g, '')+1;
    // let length = dept.length;
    // let dept=$("#businessUsage").val().split(",");
    // let a=(dept.length+1)*37.5;
    gridManager =  UICtrl.grid("#businessPersonnelListGrid", {
        columns: [
            { display: "部门", name: "deptName", width: 200, minWidth: 60, type: "string", align: "left" },
            { display: "部门人员", name: "userName", width: 200, minWidth: 60, type: "string", align: "left",
                editor: {
                    required: true, type: "select",
                    data: {
                        type: 'system',
                        name: "testUser",
                        back: {
                            id: "userName",
                            userCode:"userCode"
                        },
                        getParam: function (data) {
                            return {deptCode: data.deptCode}
                        },
                    },
                }
            },
            { display: "人员Id", name: "userCode", width: 200, minWidth: 60, type: "string", align: "left",
                editor: {
                    type: 'text',
                    required: true
                }
            }
        ],
        dataAction: "server",
        url: web_app.name + '/sapNonProdApplyNext/slicedDeptList.ajax',
        parms:{dept:$("#businessUsage").val()},
        pageSize: 20,
        usePager: false,
        enabledEdit: true,
        width: "100%",
        height:coRowNum*37.5,
        heightDiff: -8,
        fixedCellHeight: true,
        selectRowButtonOnly: true
    });
    UICtrl.setSearchAreaToggle(gridManager);
}


/**
 * 表单提交
 * @returns {boolean}
 */
function saveForm() {
    let msg="[";
    let isUndefined=false
    const result = DataUtil.getGridData({
        gridManager: gridManager,
        isAllData: true,
        onCheck: function(data) {
            if (typeof data.userCode === 'undefined') {
                msg += `${data.deptName}、`;
                isUndefined = true;
            }
            console.log(data);
        }
    });

    if (isUndefined) {
        Public.tip(`${msg.slice(0, -1)}]未选择对应分发人员`);
    }
    // var _self = this;
    // $('#submitForm').ajaxSubmit({
    //     url: web_app.name + '/proofingMake/saveProofingMake.ajax',
    //     param: extendedData,
    //     success: function (data) {
    //         Public.successTip("保存成功！");
    //         _self.close();
    //     }
    // });
}

function distributeForm(){

}